package com.synhaptein.scalator.security

/**
 * Add this trait to your model objects, that way you will be able to use
 * userService facilities to validate if the current user is the owner of
 * the object.
 *
 * Based on scalate's ServletRenderContext.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link          http://www.synhaptein.com/scalator scalator project
 * @since         scalator 0.2
 * @license       http://www.synhaptein.com/scalator/license.html
 */

trait ObjectOwner[T] {
  val owner:T
}