package com.synhaptein.scalator.security;

import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

/**
 * Annotation for security on class and method.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link http://www.synhaptein.com/scalator scalator project
 * @since scalator 0.1
 * @license http://www.synhaptein.com/scalator/license.html
 */

@Retention(RetentionPolicy.RUNTIME)
@Target(value={ElementType.METHOD, ElementType.TYPE})
public @interface Security {
    String group() default "";
    String[] groups() default {};
}
