package com.synhaptein.scalator.security

/**
 * User repository component and interface.
 *
 * Redistributions of files must retain the above copyright notice.
 *
 * @copyright     Copyright 2010-2011, SynHaptein (http://www.synhaptein.com)
 * @link          http://www.synhaptein.com/scalator scalator project
 * @since         scalator 0.2
 * @license       http://www.synhaptein.com/scalator/license.html
 */

trait UserRepositoryComponent[T<:User[_]] {
  val userRepository: UserRepository[T]

  trait UserRepository[T]
  {
    def create(user: T)
    def find(username: String): Option[T]
    def delete(user: T)
    def update(user: T)
    def exists(user: T): Boolean
  }
}